#version 300 es
precision highp float;

uniform sampler2D uPassTex;
uniform sampler2D uMainTex;

uniform float rate;

in vec2 v_originTexCoord;
out vec4 fragColor;

void main() {
    vec4 dockTex = texture(uPassTex, v_originTexCoord);
    fragColor = mix(texture(uMainTex, v_originTexCoord), dockTex, dockTex.a * rate);
}